For the complete documentation index, see llms.txt. This page is also available as Markdown.

Email PDF of receivement receipt

Email PDF of receivement receipt

Required permissions: RECEIVEMENT

post
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/email
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
recepientsstring[]Required
subjectstringOptional
bodystringOptional
includePDFbooleanOptionalDefault: true
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/email
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/email HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "recepients": [
    "text"
  ],
  "subject": "text",
  "body": "text",
  "includePDF": true,
  "attachments": [
    {
      "content": "text",
      "contentType": "text",
      "filename": "text"
    }
  ]
}
{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Last updated

Was this helpful?